ServerParameters (gCube GIS Viewer Widget 2.0.0-SNAPSHOT API)
Date: 2013-07-01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.gcubegisviewer.server
Class ServerParameters

    java.lang.Object
      org.gcube.portlets.user.gcubegisviewer.server.ServerParameters

    public class ServerParameters

extends Object

Author:
  "Federico De Faveri defaveri@isti.cnr.it"

Field Summary
`protected String` | `password`
`protected String` | `url`
`protected String` | `user`

Constructor Summary
`ServerParameters()`
`ServerParameters(String url, String user, String password)`

Method Summary
`String` | `getPassword()`
`String` | `getUrl()`
`String` | `getUser()`
`void` | `setPassword(String password)`
`void` | `setUrl(String url)`
`void` | `setUser(String user)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### url

    protected String url

### user

    protected String user

### password

    protected String password

Constructor Detail

### ServerParameters

    public ServerParameters()

### ServerParameters

    public ServerParameters(String url,
                            String user,
                            String password)

Parameters:
  `url` -
  `user` -
  `password` -

Method Detail

### getUrl

    public String getUrl()

  Returns:
    the url

### setUrl

    public void setUrl(String url)

  Parameters:
    `url` - the url to set

### getUser

    public String getUser()

  Returns:
    the user

### setUser

    public void setUser(String user)

  Parameters:
    `user` - the user to set

### getPassword

    public String getPassword()

  Returns:
    the password

### setPassword

    public void setPassword(String password)

  Parameters:
    `password` - the password to set

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.